import React, { Component } from 'react';
import {
    Layout, Menu, Icon,
  } from 'antd';
  
  const {
     Sider
  } = Layout;
  const SubMenu = Menu.SubMenu;

class LeftMenu extends Component {
    state = {
        collapsed: false,
      };
    onCollapse = (collapsed) => {
        
        this.setState({ collapsed });
    }
    onChange = ()=>{
        console.log(this);
    }
    render() {
        
        return (
        <div >
            <Layout style={{ minHeight: '100vh' }}>
                <Sider
                collapsible
                collapsed={this.state.collapsed}
                onCollapse={this.onCollapse}
                >
                <div className="logo" />
                <Menu theme="dark" defaultSelectedKeys={['1']} mode="inline">
                    <Menu.Item key="1">
                    <Icon type="pie-chart" />
                    <span>Option 1</span>
                    </Menu.Item>
                    <Menu.Item key="2">
                    <Icon type="desktop" />
                    <span>Option 2</span>
                    </Menu.Item>
                    <SubMenu
                    key="sub1"
                    title={<span><Icon type="user" /><span>Одежда</span></span>}
                    >
                    <SubMenu
                    key="sub6"
                    title={<span><Icon type="shopping" /><span>Женское белье</span></span>}
                    >
                    <Menu.Item key="4"><button onClick={this.onChange}>2332
        </button></Menu.Item>
                    <Menu.Item key="5">Alex</Menu.Item>
                    </SubMenu>
                    <Menu.Item key="4">Bill</Menu.Item>
                    <Menu.Item key="5">Alex</Menu.Item>
                    </SubMenu>
                    <SubMenu
                    key="sub2"
                    title={<span><Icon type="team" /><span>Team</span></span>}
                    >
                    <Menu.Item key="6">Team 1</Menu.Item>
                    <Menu.Item key="8">Team 2</Menu.Item>
                    </SubMenu>
                    <Menu.Item key="9">
                    <Icon type="file" />
                    <span>File</span>
                    </Menu.Item>
                </Menu>
                </Sider>
                
            </Layout>
      </div>
        );
    }
}

export default LeftMenu;
